#
# spec file for package exult (Version 0.94alpha5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  SDL SDL-devel alsa audiofile esound glib glib-devel gpp gppshare gtk gtk-devel kdelibs-artsd libgpp timidity xf86
# usedforbuild    SDL SDL-devel aaa_base aaa_dir alsa audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd kdelibs-artsd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone timidity unzip util-linux vim xdevel xf86 xshared

Name:         exult
Copyright:    GPL
Group:        Amusements/Games
#Requires:     xforms
Autoreqprov:  on
Version:      0.94alpha5
Release:      69
Summary:      an Ultima 7 game engine
Source: %{name}-%{version}.tar.bz2
Patch:  %{name}-%{version}.dif

%description
Exult is a project to create an Ultima 7 game engine that runs on modern operating systems, capable of using the data and graphics files that come with the game. It supports both parts, "The Black Gate" and "The Serpent Isle". The current version supports much of the game's plot, allowing you to talk to NPCs, use items, solve quests, and even fight monsters. Music, speech, and the full introduction are also implemented.

Authors:
--------
    Jeff S. Freedman <jeff@simutech.com> 
    Dancer Vesperman <dancer@zeor.simegen.com> 
    Willem Jan Palenstijn <wjpalenstijn@users.sourceforge.net> 
    Tristan Tarrant <nadir@users.sourceforge.net> 
    Max Horn <max@quendi.de> 
    Coder Infidel <coder_infidel@hotmail.com> 
    Ryan Nunn <triforce@merlin.net.au> 
    Patrick Burke <takhisisii@yahoo.com.au> 
    Dominik Reichardt <gigdr@tesionmail.de> 
    

SuSE series: fun

%prep
%setup
%patch

%build
%{?suse_update_config:%{suse_update_config -fl}}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr \
		--mandir=%{_mandir} \
		--bindir=/usr/X11R6/bin \
		--datadir=/usr/games \
		--enable-exult-studio
make

%install
make install
install -d -m 755 /usr/games/exult/blackgate
install -d -m 755 /usr/games/exult/serpentisle

%files
%doc AUTHORS COPYING ChangeLog NEWS README FAQ
/usr/games/exult
/usr/X11R6/bin/exult
/usr/X11R6/bin/paltest
/usr/X11R6/bin/shapetest
/usr/X11R6/bin/ucc
%doc %{_mandir}/man6/exult.6.gz

%changelog -n exult
* Fri Aug 31 2001 - uli@suse.de
- initial package
